Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1113577 - dom4j package was renamed to dom4j-eap6
Summary: dom4j package was renamed to dom4j-eap6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Yedidyah Bar David
QA Contact: Petr Matyáš
URL:
Whiteboard: integration
Depends On:
Blocks: 1121070 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-26 12:55 UTC by Ohad Basan
Modified: 2015-02-11 18:15 UTC (History)
11 users (show)

Fixed In Version: vt1.5 - rhevm-dwh-3.5.0-1.el6_5
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1121070 (view as bug list)
Environment:
Last Closed: 2015-02-11 18:15:39 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0177 normal SHIPPED_LIVE rhevm-dwh 3.5 bug fix and enhancement update 2015-02-11 23:11:50 UTC

Description Ohad Basan 2014-06-26 12:55:24 UTC
Description of problem:

yum installation of dwh is failing because dom4j is missing on eap 6.2.4 repository
Error: Package: rhevm-dwh-3.3.4-1.el6ev.noarch (qa-latest)
           Requires: dom4j >= 1.6.1

dwh can not be installed with this repo

Comment 2 Yaniv Lavi 2014-07-01 12:33:31 UTC
After speaking with eedri: JBoss team switch to this package, but should support both packages for now. we are waiting for a repo built with the old package.
We will fix this only for 3.5.0 because only the new package will be maintained.



Yaniv

Comment 3 Christopher O'Brien 2014-07-07 21:48:37 UTC
The change from dom4j to dom4j-eap6 shipped to customers back in EAP 6.1.0, not in EAP 6.2.4. The most recent dom4j-eap6 was actually delivered with EAP 6.2.0 and hasn't needed an update since then.

Comment 4 Eyal Edri 2014-07-08 07:27:00 UTC
so it could be that the internal repo compose was just built till now with the former dom4j pkg, and just in 6.2.4 it was removed.

we're using now this repo:
http://download.eng.rdu2.redhat.com/released/JBEAP-6/6.2.4/compose/JBEAP-6.2.4-RHEL-6/Server/x86_64/os/

and you can see it doesn't include dom4j.

Comment 5 Christopher O'Brien 2014-07-08 13:02:57 UTC
The 6.2.3 compose also didn't include it. Prior to that we didn't do composes for EAP.

Comment 7 Shirly Radco 2014-07-15 08:33:04 UTC
This is fixed for 3.4/3.5. 
Please test and make sure this is the package that's being pulled (dom4j-eap6).

Comment 8 Sandro Bonazzola 2014-07-15 11:48:12 UTC
(In reply to Shirly Radco from comment #7)
> This is fixed for 3.4/3.5. 

Re-targeting to 3.4.2 as per above comment

Comment 12 errata-xmlrpc 2015-02-11 18:15:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0177.html


Note You need to log in before you can comment on or make changes to this bug.